Loading...
Searching...
No Matches
ss7_internal.h File Reference
`#include <stdbool.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`

Go to the source code of this file.

## Enumerations

enum | ss7_as_ctr { SS7_AS_CTR_RX_MSU_TOTAL , SS7_AS_CTR_TX_MSU_TOTAL }

## Functions

bool | osmo_ss7_asp_set_default_peer_hosts (struct osmo_ss7_asp *asp)
bool | osmo_ss7_xua_server_set_default_local_hosts (struct osmo_xua_server *oxs)

## Enumeration Type Documentation

## ss7_as_ctr

enum ss7_as_ctr

Enumerator
SS7_AS_CTR_RX_MSU_TOTAL |
SS7_AS_CTR_TX_MSU_TOTAL |

## Function Documentation

## osmo_ss7_asp_set_default_peer_hosts()

bool osmo_ss7_asp_set_default_peer_hosts | ( | struct osmo_ss7_asp * | asp | ) |

References osmo_ss7_asp::cfg, osmo_ss7_asp_peer::host, osmo_ss7_asp_peer::host_cnt, ipv6_sctp_supported(), osmo_ss7_asp::local, osmo_ss7_asp_peer_add_host(), and osmo_ss7_asp::remote.

Referenced by osmo_sccp_simple_client_on_ss7_id(), and osmo_ss7_vty_go_parent().

## osmo_ss7_xua_server_set_default_local_hosts()

bool osmo_ss7_xua_server_set_default_local_hosts | ( | struct osmo_xua_server * | oxs | ) |

References osmo_xua_server::cfg, osmo_ss7_asp_peer::host_cnt, ipv6_sctp_supported(), osmo_xua_server::local, and osmo_ss7_xua_server_set_local_host().

Referenced by osmo_ss7_vty_go_parent().